#pragma once

#include <stdint.h>

#include "host.h"

typedef enum {
	SCAN_SYN,
	SCAN_NULL,
	SCAN_ACK,
	SCAN_FIN,
	SCAN_XMAS,
	SCAN_UDP,
	SCAN_ALL,
} e_scantype;

struct scan {
	const struct host *host;
	const char *dest_addr;
	uint16_t port_start;
	uint16_t port;
	e_scantype type;
	struct response *response;
};

int scan(const struct scan *data);
